
package net.mcreator.minecraftexpansion.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.world.World;
import net.minecraft.util.text.StringTextComponent;
import net.minecraft.util.text.ITextComponent;
import net.minecraft.item.UseAction;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.item.Food;
import net.minecraft.entity.LivingEntity;
import net.minecraft.client.util.ITooltipFlag;

import net.mcreator.minecraftexpansion.procedures.ApplesCanFoodEatenProcedure;
import net.mcreator.minecraftexpansion.itemgroup.ExpansionModItemGroup;
import net.mcreator.minecraftexpansion.MinecraftexpansionModElements;

import java.util.Map;
import java.util.List;
import java.util.HashMap;

@MinecraftexpansionModElements.ModElement.Tag
public class ApplesCanItem extends MinecraftexpansionModElements.ModElement {
	@ObjectHolder("minecraftexpansion:apples_can")
	public static final Item block = null;
	public ApplesCanItem(MinecraftexpansionModElements instance) {
		super(instance, 9);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new FoodItemCustom());
	}
	public static class FoodItemCustom extends Item {
		public FoodItemCustom() {
			super(new Item.Properties().group(ExpansionModItemGroup.tab).maxStackSize(16)
					.food((new Food.Builder()).hunger(9).saturation(0.9f).build()));
			setRegistryName("apples_can");
		}

		@Override
		public int getUseDuration(ItemStack stack) {
			return 16;
		}

		@Override
		public UseAction getUseAction(ItemStack par1ItemStack) {
			return UseAction.EAT;
		}

		@Override
		public void addInformation(ItemStack itemstack, World world, List<ITextComponent> list, ITooltipFlag flag) {
			super.addInformation(itemstack, world, list, flag);
			list.add(new StringTextComponent("#i0009"));
		}

		@Override
		public ItemStack onItemUseFinish(ItemStack itemStack, World world, LivingEntity entity) {
			ItemStack retval = super.onItemUseFinish(itemStack, world, entity);
			double x = entity.getPosX();
			double y = entity.getPosY();
			double z = entity.getPosZ();
			{
				Map<String, Object> $_dependencies = new HashMap<>();
				$_dependencies.put("entity", entity);
				ApplesCanFoodEatenProcedure.executeProcedure($_dependencies);
			}
			return retval;
		}
	}
}
