
package net.mcreator.minecraftexpansion.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.world.World;
import net.minecraft.util.text.StringTextComponent;
import net.minecraft.util.text.ITextComponent;
import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.PickaxeItem;
import net.minecraft.item.Items;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;
import net.minecraft.client.util.ITooltipFlag;

import net.mcreator.minecraftexpansion.itemgroup.ExpansionModItemGroup;
import net.mcreator.minecraftexpansion.MinecraftexpansionModElements;

import java.util.List;

@MinecraftexpansionModElements.ModElement.Tag
public class OximelmDiamondPickaxeItem extends MinecraftexpansionModElements.ModElement {
	@ObjectHolder("minecraftexpansion:oximelm_diamond_pickaxe")
	public static final Item block = null;
	public OximelmDiamondPickaxeItem(MinecraftexpansionModElements instance) {
		super(instance, 17);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new PickaxeItem(new IItemTier() {
			public int getMaxUses() {
				return 1234;
			}

			public float getEfficiency() {
				return 12f;
			}

			public float getAttackDamage() {
				return 2f;
			}

			public int getHarvestLevel() {
				return 3;
			}

			public int getEnchantability() {
				return 2;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.fromStacks(new ItemStack(Items.DIAMOND, (int) (1)));
			}
		}, 1, -3f, new Item.Properties().group(ExpansionModItemGroup.tab)) {
			@Override
			public void addInformation(ItemStack itemstack, World world, List<ITextComponent> list, ITooltipFlag flag) {
				super.addInformation(itemstack, world, list, flag);
				list.add(new StringTextComponent("#i0017"));
			}
		}.setRegistryName("oximelm_diamond_pickaxe"));
	}
}
