
package net.mcreator.minecraftexpansion.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.world.World;
import net.minecraft.util.text.StringTextComponent;
import net.minecraft.util.text.ITextComponent;
import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.SwordItem;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;
import net.minecraft.entity.LivingEntity;
import net.minecraft.client.util.ITooltipFlag;

import net.mcreator.minecraftexpansion.procedures.OximelmGreatswordLivingEntityIsHitWithToolProcedure;
import net.mcreator.minecraftexpansion.itemgroup.ExpansionModItemGroup;
import net.mcreator.minecraftexpansion.MinecraftexpansionModElements;

import java.util.Map;
import java.util.List;
import java.util.HashMap;

@MinecraftexpansionModElements.ModElement.Tag
public class OximelmGreatswordItem extends MinecraftexpansionModElements.ModElement {
	@ObjectHolder("minecraftexpansion:oximelm_greatsword")
	public static final Item block = null;
	public OximelmGreatswordItem(MinecraftexpansionModElements instance) {
		super(instance, 15);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new SwordItem(new IItemTier() {
			public int getMaxUses() {
				return 684;
			}

			public float getEfficiency() {
				return 2f;
			}

			public float getAttackDamage() {
				return 2.5f;
			}

			public int getHarvestLevel() {
				return 0;
			}

			public int getEnchantability() {
				return 2;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.fromStacks(new ItemStack(OximelmRockItem.block, (int) (1)));
			}
		}, 3, -3.4f, new Item.Properties().group(ExpansionModItemGroup.tab)) {
			@Override
			public void addInformation(ItemStack itemstack, World world, List<ITextComponent> list, ITooltipFlag flag) {
				super.addInformation(itemstack, world, list, flag);
				list.add(new StringTextComponent("#i0015"));
			}

			@Override
			public boolean hitEntity(ItemStack itemstack, LivingEntity entity, LivingEntity sourceentity) {
				boolean retval = super.hitEntity(itemstack, entity, sourceentity);
				double x = entity.getPosX();
				double y = entity.getPosY();
				double z = entity.getPosZ();
				World world = entity.world;
				{
					Map<String, Object> $_dependencies = new HashMap<>();
					$_dependencies.put("entity", entity);
					OximelmGreatswordLivingEntityIsHitWithToolProcedure.executeProcedure($_dependencies);
				}
				return retval;
			}
		}.setRegistryName("oximelm_greatsword"));
	}
}
